using System;
using System.Net;

internal sealed class Delegate320 : MulticastDelegate
{
	public extern IPAddress Invoke(object object_0);

	public static IPAddress smethod_0(object object_0, Delegate320 delegate320_1)
	{
		return delegate320_1(object_0);
	}

	public extern Delegate320(object object_0, IntPtr intptr_0);

	static Delegate320()
	{
		Class10.smethod_13(typeof(Delegate320).TypeHandle);
	}

	internal static Delegate320 delegate320_0;
}
